Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class FSDirectory.FSIndexInput.Descriptor

    java.lang.Object
      java.io.RandomAccessFile
          org.apache.lucene.store.FSDirectory.FSIndexInput.Descriptor

All Implemented Interfaces:
  Closeable, DataInput, DataOutput

Enclosing class:
  FSDirectory.FSIndexInput

    protected static class FSDirectory.FSIndexInput.Descriptor

extends RandomAccessFile

Field Summary
`protected boolean` | `isOpen`

Constructor Summary
`FSDirectory.FSIndexInput.Descriptor(File file, String mode)`

Method Summary
`void` | `close()`
`protected void` | `finalize()`

Methods inherited from class java.io.RandomAccessFile
`getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isOpen

    protected volatile boolean isOpen

Constructor Detail

### FSDirectory.FSIndexInput.Descriptor

    public FSDirectory.FSIndexInput.Descriptor(File file,
                                               String mode)
                                        throws IOException

Throws:
  `IOException`

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `RandomAccessFile`
  Throws:
    `IOException`

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.